# [Baby Bears Wrestling](https://vimeo.com/125461474)

This was so awesome, just like humans in a Wrestling match.  I have scored as follows:  7 - 1
Round 1 - starts 0:44 - 1 point - stall - 1:37
Round 2 - starts 2:04 - 2 points take down 2:09 - no points almost take down 2:40 - 2 points take down 3:44 almost a pin a few seconds later - 2 points take down (FOR SURE!!!) 4:07 - 1 point escape, LOL 4:32